//******************************************************************************
// The example simply blinks the LED1 on board of the Memory board 
//
//
// Tested Platform: mini Controller Board PIC32
// Tested MCU: PIC32MX150F128D
// Tested Compiler: XC32 4.30
//******************************************************************************

#include "xc.h"

#define SYSTEM_CLOCK 32000000UL

#include "LTlib.h"

#include "HW_mini_Sensing_MCU_Board.h"

#include "module_IO.h"  
#include "module_IO.c" 

#include "LTlib_delay.h"
#include "LTlib_delay.c"


int main (void){
    
    IO_set_all_ports_as_inputs ();
    
    //Set LED pin as output
    P16_DIR = SET_AS_OUTPUT;
  
    //Turn OFF the LED
    P16_OUT = LED_OFF;

    delay_set_quartz(32);
    
    //Toggle the LED value

    while (1){
        delay_ms (500);
        
        P16_OUT ^= LED_ON;
    }    
}
